Approve or decline a request from Bottle support
POST
/support-requests/{id}/decision
const url = 'https://example.com/support-requests/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/decision';const options = { method: 'POST', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"approve":true,"hours":24}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/support-requests/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/decision \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "approve": true, "hours": 24 }'Approving lets them in at the level they asked for, for the hours they asked for or the hours given here. Declining leaves things as they are.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”The request afterwards
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
tenantId
required
UUID v7
string format: uuid
staffUserId
required
string
staffName
required
string | null
level
required
string
reason
required
string
status
required
string
decidedByName
required
string | null
decidedAt
required
string | null format: date-time
createdAt
required
string format: date-time
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "tenantId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "level": "view", "hours": 24, "status": "pending"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, not an owner or admin, or a key rather than a person
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such request
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Already answered
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}